2017-10-17 00:00 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004253Kali Linux[All Projects] General Bugpublic2017-10-11 19:00
Reporterbroomdodger 
Assigned Torhertzog 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.3 
Summary0004253: gnome-disk-utility 3.26.0 crashing
Descriptiongnome-disk-utility 3.26.0 crashing

After the last update gnome-disk-utility crashes when ejecting or power off a drive (only tested with usb flash drives)

gnome-disk-utility 3.26.0
UDisks 2.7.3 (built against 2.7.3)

sudo dmesg | grep error
[ 3.206904] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro
[ 2650.035152] gnome-disks[1096]: segfault at 0 ip 00007f2bdb98ff4f sp 00007ffe03a2b650 error 4 in libgio-2.0.so.0.5400.0[7f2bdb8ba000+191000]
[ 9306.659651] gnome-disks[2113]: segfault at 0 ip 00007f1705495f4f sp 00007ffd9ec53590 error 4 in libgio-2.0.so.0.5400.0[7f17053c0000+191000]
[ 9567.403103] gnome-disks[2175]: segfault at 0 ip 00007f53f901df4f sp 00007ffc75d4a720 error 4 in libgio-2.0.so.0.5400.0[7f53f8f48000+191000]
[16377.435806] gnome-disks[2541]: segfault at 0 ip 00007f79363b5f4f sp 00007ffc4ae55140 error 4 in libgio-2.0.so.0.5400.0[7f79362e0000+191000]
Steps To ReproduceAfter the last update gnome-disk-utility crashes when ejecting or power off a drive (only tested with usb flash drives)
Attached Files

-Relationships
+Relationships

-Notes

~0007362

broomdodger (reporter)

crash happens when ejecting usb flash disk then remove from usb port.

kali light amd64 and i386
kali gnome i386

~0007408

broomdodger (reporter)

Still happening.

sudo dmesg | grep error

[ 2.815911] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro
[ 61.809725] gnome-disks[823]: segfault at 0 ip 00007faba7a9af4f sp 00007ffda8d1f2f0 error 4 in libgio-2.0.so.0.5400.0[7faba79c5000+191000]

~0007519

broomdodger (reporter)

This morning an update to gnome-disk-utility
gnome-disk-utility 3.26.1

So far...
gnome-disks has not had a segfault
when unmount, eject, or remove a USB flash drive

~0007521

rhertzog (administrator)

Thanks for the notice, closing.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-19 00:46 broomdodger New Issue
2017-09-19 01:58 broomdodger Note Added: 0007362
2017-09-19 02:57 broomdodger File Added: lang-err.png
2017-09-19 03:08 broomdodger Note Added: 0007363
2017-09-19 03:10 broomdodger Note Added: 0007364
2017-09-19 06:57 rhertzog Note Deleted: 0007364
2017-09-19 06:57 rhertzog Note Deleted: 0007363
2017-09-19 06:57 rhertzog File Deleted: lang-err.png
2017-09-25 15:45 broomdodger Note Added: 0007408
2017-10-11 15:35 broomdodger Note Added: 0007519
2017-10-11 19:00 rhertzog Assigned To => rhertzog
2017-10-11 19:00 rhertzog Status new => resolved
2017-10-11 19:00 rhertzog Resolution open => fixed
2017-10-11 19:00 rhertzog Fixed in Version => 2017.3
2017-10-11 19:00 rhertzog Note Added: 0007521
+Issue History